qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gordon Sim <g...@redhat.com>
Subject Re: M4 beta c++ compilation error
Date Wed, 10 Dec 2008 09:13:40 GMT
Dmitriy Kargapolov wrote:
> Recently I've made one more try to build Qpid. Used GCC 4.1.2, Boost
> 1.35. Both built from src.
> I did manage to avoid Qpid compilation errors _only_ by removing
> "-pedantic" flag from compiler flags (in configure.ac). Binary qpidd
> made this way crashdumped at start somewhere in
> boost::program_options::options_description::add ()...
> 
> I have RHEL3/4 (not sure - multiple updates were made to this server
> through its life), so I have to build GCC/Boost from sources if I need
> upgrade. It would be worth to know which compiler version and boost
> version developers use to build Qpid. Details including GCC spec would
> be highly appreciated.

I'm using boost 1.33 and gcc 4.1.1 [20070105 (Red Hat 4.1.1-51)] at 
present; I use boost 1.33 and gcc 4.1.2 as well and that also works.

> I'm not sure what caused this sort of problems - boost specifics like
> using template techniques highly sensitive to compiler standard
> conformance and other features, or qpid code specifics, but there
> should be way to solve this...

Is the older boost version removed from the system?


Mime
View raw message